Subject: Re: [6tisch] Asking for more bandwidth

From: Qin Wang <[email-masked]>
Date: Fri, 11 Apr 2014 17:22:25 -0700 (PDT)

Hi all,

Pouria and I have had discussion on the mechanism for a node to ask PCE more bandwidth. See the attachment. Here is the summary.

(1) In the current version of 6top, a passive mechanism for a node to ask PCE more bandwidth is used, i.e. node reports statistics data, and PCE makes decision on if bandwidth change is needed. When PCE find the bandwidth needs to be increased or decreased, PCE will allocate or remove cells on the node via CoAP.

(2) Question is if 6top should provide a active mechanism for a node to ask PCE more bandwidth, i.e. when a node finds the needs to increase or decrease bandwidth, it sends a request message to PCE. Then PCE allocates cells and POST to the node via CoAP. 

(3) If the answer is Yes, is there data needed to add to 6top YANG model?

What do you think?

Thanks
Qin

On Friday, April 11, 2014 4:56 PM, "[email-masked]" <[email-masked]> wrote:
 
Hi Qin,
It is not clear for me either.
Would you please bring this discussion to the ML?
Regards,
Pouria
 
From:Qin Wang [mailto:[email-masked]] 
Sent: Friday, April 11, 2014 10:46 AM
To: Zand, P. (EWI)
Subject: Re: Asking for more bandwidth
 
Hi Pouria,
 
I understand what you mean. 
 
In the draft-ietf-6tisch-architecture, 5 flows are defined in section 8.3. I guess the active mechanism belongs to Request flow defined as follows.
"Request The node may issue a request to the client to trigger some
         action, for example the calculation of a multi-hop route.  This
         is typically a CoAP POST request issued by the node on the
         appropriate resource on the CoAP client."
 
But, I'm not clear what the "resource of the CoAP client" mean. Does it mean the resource in PCE? If yes, should YANG model describe the data in PCE?
 
What do you think?
 
Thanks
Qin

On Friday, April 11, 2014 3:38 PM, "[email-masked]" <[email-masked]> wrote:
Hi Qin,
I was wondering if we need to provide an active (not passive) mechanism to let a node to ask for more bandwidth for his own requirement and consequently reserve some cell along the RPL path in the network. The similar approach is used in WirelessHART (service request) and ISA100.11a (contract request). However, I am not sure, if 6top sub layer in Node A is able to access to the application traffic characteristics of that node. By traffic characteristics, I mean the data rate, its priority, its classification and other parameters.
Regards,
Pouria
 
From:Qin Wang [mailto:[email-masked]] 
Sent: Friday, April 11, 2014 2:23 AM
To: Zand, P. (EWI)
Subject: Re: Asking for more bandwidth
 
Hi Pouria,
 
For the PCE-based centralized case, the current version of 6top does not provide the function for node to ask more communication resources directly. Instead, the nodes report statistics, such as the statistics in QueueList. Based on the statistics data, PCE will make decision on increasing or decreasing communication resources. Make sense?
 
Thanks
Qin
On Friday, April 11, 2014 4:31 AM, "[email-masked]" <[email-masked]> wrote:
Hi Qin,
Hope you are doing well.
Is there any mechanism for a node to  ask form PCE (or inform the PCE), to get more communication resources (cells)? In this request the node might include some information about its traffic characteristics. The PCE might need to allocate some cells for the new nodes and also for the node along the path to the final destination. I couldn’t find this mechanism in CoAP draft for this purposes. I am not sure if there is any information in the YANG model for that. Am I right?
Many thanks for your response.
Regards,
Pouria